################################################################################
#
# makefile
#
# Copyright (C) 2015 Texas Instruments Incorporated - http://www.ti.com/
#
# Redistribution and use in source and binary forms, with or without
# modification, are permitted provided that the following conditions
# are met:
#
#    Redistributions of source code must retain the above copyright
#    notice, this list of conditions and the following disclaimer.
#
#    Redistributions in binary form must reproduce the above copyright
#    notice, this list of conditions and the following disclaimer in the
#    documentation and/or other materials provided with the
#    distribution.
#
#    Neither the name of Texas Instruments Incorporated nor the names of
#    its contributors may be used to endorse or promote products derived
#    from this software without specific prior written permission.
#
# THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
# "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
# LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
# A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT
# OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
# LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
# DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
# THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
# (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
# OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
#
################################################################################

.PHONY: clean install build ipk
SRCDIR     = src
DOCDIR     = doc

build:
# no library to build here because of templates in the class 

install:
	install -m 755 -d ${DESTDIR}/usr/src/tigl/
	install -m 755 -d ${DESTDIR}/usr/share/doc/tigl	
	install -m 755 -d ${DESTDIR}/usr/share/ti/examples/tigl
	cp ./makefile ${DESTDIR}/usr/src/tigl/
	cp -r ./build ${DESTDIR}/usr/src/tigl/
	cp -r ./doc ${DESTDIR}/usr/src/tigl/
	cp -r ./src ${DESTDIR}/usr/src/tigl/
	cp -r ${SRCDIR}/app/* ${DESTDIR}/usr/share/ti/examples/tigl 
	cp ${DOCDIR}/tigl.pdf   ${DESTDIR}/usr/share/doc/tigl

clean:
# nothing to clean here since no object files are built
